Exports
General Ledger
>
API Reference
>
v1
>
Exports
Overview
The Exports API allows an institution to retrieve General Ledger data in bulk.
Exports are available for both accounts and transactions, and can be retrieved in either JSON or CSV format.
Available Endpoint
Export Accounts
Retrieve General Ledger account metadata.
- GET
/a/api/general-ledger/v1/{InstitutionUniversalId}/accounts-export
Optional Query Parameters
StartDate— Filters out transactions older than this date.EndDate— Filters out transactions newer than this date. Defaults to the current date if not provided.
Export Transactions
Retrieve posted General Ledger transactions.
- GET
/a/api/general-ledger/v1/{InstitutionUniversalId}/transactions-export
Optional Query Parameters
StartDate— Filters out transactions older than this date.EndDate— Filters out transactions newer than this date. Defaults to the current date if not provided.
Date Format
All date parameters must use the YYYY-MM-DD format.
Invalid formats will return a validation error.
Response Formats
application/jsontext/csv
The JSON response returns an array of transaction records. The CSV response returns the same data in downloadable format.
Export behavior
You can learn more about exports in our Exports Guide guide.
openapi: 3.0.3
info:
title: General Ledger API - Exports
version: v1
description: API to interact with General Ledger
contact:
name: General Ledger
url: https://www.jackhenry.com/
email: DC-LedgerServices-Product@jackhenry.com
servers:
- url: https://{API_ENDPOINT}
variables:
API_ENDPOINT:
default: digital.garden-fi.com
security:
- bearerAuth: []
tags:
- name: Exports
description: APIs for bulk exporting data out of general ledger
paths:
/a/api/general-ledger/v1/{InstitutionUniversalId}/accounts-export:
get:
operationId: AccountsExport
tags:
- Exports
summary: API to export multiple GL Accounts at once.
description: Allows an institution to export multiple GL Accounts at once
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: StartDate
in: query
required: false
description: If a start date is provided, records older than the start date will be filtered from the results
schema:
type: string
format: date
nullable: true
- name: EndDate
in: query
required: false
description: If a end date is provided, records newer than the end date will be filtered from the results. If not provided, the current day will be used for the end date.
schema:
type: string
format: date
nullable: true
responses:
'200':
description: Success
content:
application/json:
schema:
type: object
properties:
accounts:
type: array
items:
type: object
properties:
accountId:
type: string
accountNumber:
type: string
accountStatus:
type: string
accountTitle:
type: string
accountType:
type: string
currencyType:
type: string
text/csv:
schema:
type: object
properties:
accounts:
type: array
items:
type: object
properties:
accountId:
type: string
accountNumber:
type: string
accountStatus:
type: string
accountTitle:
type: string
accountType:
type: string
currencyType:
type: string
'400':
description: The request body is invalid. See the response body for more information.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
accountExportEndDateError:
summary: Invalid end date
value:
type: general-ledger/request-constraint-violation
title: Invalid end date
details:
- End date must be in YYYY-MM-DD format"
accountExportStartDateError:
summary: Invalid start date
value:
type: general-ledger/request-constraint-violation
title: Invalid start date
details:
- Start date must be in YYYY-MM-DD format"
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/general-ledger/v1/{InstitutionUniversalId}/transactions-export:
get:
operationId: TransactionsExport
tags:
- Exports
summary: API to export multiple GL Transactions at once.
description: Allows an institution to export multiple GL Transactions at once
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: StartDate
in: query
required: false
description: If a start date is provided, records older than the start date will be filtered from the results
schema:
type: string
format: date
nullable: true
- name: EndDate
in: query
required: false
description: If a end date is provided, records newer than the end date will be filtered from the results. If not provided, the current day will be used for the end date.
schema:
type: string
format: date
nullable: true
responses:
'200':
description: Success
content:
application/json:
schema:
type: array
items:
type: object
required:
- transactionSetId
properties:
transactionSetId:
type: string
format: uuid
description: The transaction set id the transaction is tied to.
nullable: false
entryType:
type: string
description: The type of entry for the transaction set.
createdBy:
type: string
description: The user who created the transaction set.
transactionId:
type: string
description: The unique identifier for the transaction.
accountId:
type: string
description: The unique identifier for the account.
accountNumber:
type: string
description: The account number.
accountTitle:
type: string
description: The title of the account.
accountStatus:
type: string
description: The status of the account.
debitCredit:
type: string
description: Indicates whether the transaction is a debit or credit.
amount:
type: object
properties:
value:
type: string
description: The amount of the transaction.
currencyType:
type: string
description: The currency type of the transaction amount.
description:
type: string
description: The description of the transaction.
effectiveDate:
type: string
format: date
description: The effective date of the transaction.
branchId:
type: string
description: The branch identifier.
costCenter:
type: string
description: The cost center associated with the transaction.
postedDate:
type: string
format: date
description: The posted date of the transaction.
additionalProperties: false
examples:
transactionsExport:
summary: Example transactions export response
value:
- transactionSetId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
entryType: Manual
createdBy: user1
transactionId: 6fa85f64-5717-4562-b3fc-2c963f66afa6
accountId: 7fa85f64-5717-4562-b3fc-2c963f66afa6
accountNumber: '12345'
accountTitle: title
accountStatus: open
debitCredit: debit
amount:
value: '100.00'
currencyType: USD
description: desc
effectiveDate: '2023-01-01'
branchId: branch1
postedDate: '2023-01-02'
text/csv:
schema:
type: string
format: binary
'400':
description: The request body is invalid. See the response body for more information.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
transactionsExportEndDateError:
summary: Invalid start date
value:
type: general-ledger/request-constraint-violation
title: Invalid start date
details:
- Start date must be in YYYY-MM-DD format"
transactionsExportStartDateError:
summary: Invalid end date
value:
type: general-ledger/request-constraint-violation
title: Invalid end date
details:
- End date must be in YYYY-MM-DD format"
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Thu Mar 5 2026